commit:     2cb28882af7a98143b6bacedfa6e1f420d4b8c25
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  5 15:43:27 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Sep  5 18:23:36 2021 +0000
URL:        https://gitweb.gentoo.org/proj/qt.git/commit/?id=2cb28882

dev-qt/qdoc: Fix out-of-source build in subdir again

Bug: https://bugs.gentoo.org/676948
Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-qt/qdoc/qdoc-5.15.9999.ebuild | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/dev-qt/qdoc/qdoc-5.15.9999.ebuild 
b/dev-qt/qdoc/qdoc-5.15.9999.ebuild
index 5dfef52d..0d3a78be 100644
--- a/dev-qt/qdoc/qdoc-5.15.9999.ebuild
+++ b/dev-qt/qdoc/qdoc-5.15.9999.ebuild
@@ -31,3 +31,12 @@ src_prepare() {
 
        qt5-build_src_prepare
 }
+
+src_configure() {
+       # qt5_tools_configure() not enough here, needs another fix, bug 676948
+       mkdir -p "${QT5_BUILD_DIR}"/src/qdoc || die
+       qt5_qmake "${QT5_BUILD_DIR}"
+       cp src/qdoc/qtqdoc-config.pri "${QT5_BUILD_DIR}"/src/qdoc || die
+
+       qt5-build_src_configure
+}

Reply via email to